# -*- ruby -*-
# This file is a part of test scripts of LDAP extension module.

require "ldap"

conn = LDAP::Conn.new
conn.bind{
  conn.perror("bind")
  sub = nil
  err = conn.search("dc=JAIST, dc=JP", LDAP::LDAP_SCOPE_SUBTREE,
		    "(objectclass=*)", nil, false, 0, 0){|e|
    dn = e.dn
    print("# #{LDAP.dn2ufn(dn)}\n")
    print("dn: #{dn}\n")
    e.attrs.each{|attr|
      print("#{attr}: #{e.vals(attr).join(', ')}\n")
    }
    print("\n")
    sub = e if !sub
  }

  begin
    sub.dn
  rescue LDAP::InvalidEntryError => e
    $stderr.print("#{e.to_s}.\n",
		  "This exception is expected.\n")
  end
}
